Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159964 - popt rpm comes with libpopt.la
Summary: popt rpm comes with libpopt.la
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 19:27 UTC by jeroen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-27 02:20:07 UTC


Attachments (Terms of Use)

Description jeroen 2005-06-09 19:27:44 UTC
The current popt rpm in rawhide installs /usr/lib/libpopt.la. This is bad
(screws up building GNOME since building on x86_64 and the existence of
libpopt.la will make stuff try to link against /usr/lib/libpopt.so instead of
/usr/lib64/libpopt.so).

This applies to both the i386 as well as the x86_64 rpms.

$rpm -q popt
popt-1.10.1-21

Comment 1 Jeff Johnson 2005-08-27 02:20:07 UTC
Yes, the popt.i386 package installs into /usr/lib. Install popt.x86_64:

$ rpm -qlvp popt-1.10.2-3.x86_64.rpm
...
-rw-r--r--    1 root    root            44912 Jul 27 08:15 /usr/lib64/libpopt.a
-rwxr-xr-x    1 root    root              788 Jul 27 08:15 /usr/lib64/libpopt.la
lrwxrwxrwx    1 root    root               16 Jul 27 08:15 /usr/lib64/libpopt.so


Note You need to log in before you can comment on or make changes to this bug.